table_iterator.h(3)

NAME
table_iterator.h - @addtogorup table_iterator.

SYNOPSIS

  Data Structures
struct netsnmp_iterator_info_s

  Defines
#define TABLE_ITERATOR_NAME 'table_iterator'

  Typedefs
typedef netsnmp_variable_list * Netsnmp_First_Data_Point (void **loop_context, void **data_context, netsnmp_variable_list *, struct netsnmp_iterator_info_s *)
typedef netsnmp_variable_list * Netsnmp_Next_Data_Point (void **loop_context, void **data_context, netsnmp_variable_list *, struct netsnmp_iterator_info_s *)
typedef void * Netsnmp_Make_Data_Context (void *loop_context, struct netsnmp_iterator_info_s *)
typedef netsnmp_iterator_info struct netsnmp_iterator_info_s netsnmp_iterator_info

  Functions
typedef void (Netsnmp_Free_Loop_Context)(void *
netsnmp_mib_handler * netsnmp_get_table_iterator_handler (netsnmp_iterator_info *iinfo)
returns a netsnmp_mib_handler object for the table_iterator helper.
int netsnmp_register_table_iterator (netsnmp_handler_registration *reginfo, netsnmp_iterator_info *iinfo)
registers a table after attaching it to a table_iterator helper.
void * netsnmp_extract_iterator_context (netsnmp_request_info *)
extracts the table_iterator specific data from a request.

  Variables
Netsnmp_Node_Handler netsnmp_table_iterator_helper_handler

DETAILED DESCRIPTION

@addtogorup table_iterator.

Definition in file table_iterator.h.

AUTHOR

Generated automatically by Doxygen for net-snmp from the source code.